petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecRestoreArrayF90

Restores a vector to a usable state after a call to VecGetArrayF90().

### Synopsis

    VecRestoreArrayF90(Vec x,{Scalar, pointer :: xx_v(:)},integer ierr)

Logically Collective on Vec

### Input Parameters

| x | - vector
| xx_v | - the Fortran90 pointer to the array

### Output Parameter

ierr -error code

### Example of Usage

    #include <petsc/finclude/petscvec.h>
        use petscvec

        PetscScalar, pointer :: xx_v(:)
        ....
        call VecGetArrayF90(x,xx_v,ierr)
        xx_v(3) = a
        call VecRestoreArrayF90(x,xx_v,ierr)

### See Also

VecGetArrayF90(), VecGetArray(), VecRestoreArray(), UsingFortran, VecRestoreArrayReadF90()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex4f90.F90.html
src/snes/examples/tutorials/ex5f90.F90.html
src/snes/examples/tutorials/ex5f90t.F90.html
src/snes/examples/tutorials/ex73f90t.F90.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages